Package com.emc.documentum.rest.model

# Class PermissionSetObject

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.PermissionSetObject

All Implemented Interfaces:
  `Linkable`

public class PermissionSetObject extends AbstractLinkable
Permission set object represents a set of user permissions to an specified object.

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionSetObject()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `List<AccessorPermission>`
  `getPermit()`
  `List<String>`
  `getRequireGroup()`
  `List<String>`
  `getRequireGroupSet()`
  `List<AccessorPermission>`
  `getRestrict()`
  `void`
  `setId(String id)`
  `void`
  `setPermit(List<AccessorPermission> permit)`
  `void`
  `setRequireGroup(List<String> requireGroup)`
  `void`
  `setRequireGroupSet(List<String> requireGroupSet)`
  `void`
  `setRestrict(List<AccessorPermission> restrict)`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PermissionSetObject

    public PermissionSetObject()

- ## Method Details

  - ### getPermit

    public List<AccessorPermission> getPermit()

  - ### setPermit

    public void setPermit(List<AccessorPermission> permit)

  - ### getRestrict

    public List<AccessorPermission> getRestrict()

  - ### setRestrict

    public void setRestrict(List<AccessorPermission> restrict)

  - ### getRequireGroup

    public List<String> getRequireGroup()

  - ### setRequireGroup

    public void setRequireGroup(List<String> requireGroup)

  - ### getRequireGroupSet

    public List<String> getRequireGroupSet()

  - ### setRequireGroupSet

    public void setRequireGroupSet(List<String> requireGroupSet)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)